/*
 * Copyright (c) 04/02/2013 Mario Negro (@emenegro)
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "MNMToastConstants.h"

/*
 * Duration of the animation to show/hide.
 */
CGFloat const kFadeAnimationDuration = 0.3f;

/*
 * Time (in seconds) in which the toast will be visible if shown with autohiding.
 */
CGFloat const kAutohidingTime = 3.0f;

/*
 * Font size of the text.
 */
CGFloat const kFontSize = 14.0f;

/*
 * Left and right margin between the border of the toast's superviewview and the toast view.
 */
CGFloat const kHorizontalMargin = 20.0f;

/*
 * Margin between the bottom of the toast's superview and the toast view.
 */
CGFloat const kBottomMargin = 25.0f;

/*
 * Text inset, that is, the margin between the text its container view.
 */
CGFloat const kTextInset = 5.0f;
